# Projet de mahjong

## Auteurs

- VREL Quentin (FISE 2021)
- ARNAULT Augustin (FISE 2021)

Les 2 auteurs ont contribués à parts égales.
Quentin s'est majoritairement concentré sur la partie Frontend (visuel + logique front) et Augustin sur la partie Backend (logique front et back). Nous précisons que les 2 auteurs ont touché aux 2 aspects (front et back) ce qui est vérifiable dans les commits.

## Arborescence du projet

```ascii
 .
 ├ README.md                # Vous êtes ici
 ├ AGL                      # Contient ce qui est relatif à la construction de BDD
 | ├ BD                     # Les instruction SQL pour générer la BDD avec des examples
 | └ Conception             # Des fichiers de PowerDesign
 ├ Backend                  # Contient ce qui est relatif au backend
 | ├ src                    # Code de l'API REST de notre backend
 | └ TPs                    # Archives de TP backend
 ├ doc                      # Contient la documentation
 ├ frontend                 # Contient le frontend
 ├ Laravel                  # TP Laravel
 └ UX                       # Contient ce qui est relatif au maquettage du frontend
   ├ figma                  # Figma file
   └ Maquette_mahjong.pdf   # Ce à quoi devait ressembler le site
```

## Installation

C.f la documentation [Installation](doc/Installation.md).

## Servir le site

Pour des raisons de non résolution de chemins par VueJS, on est obligé de passer par 2 serveurs web. Il faut donc lancer XAMP et faire un `npm run serve` dans le fichier frontend.

## Fonctionnalitées

### Ce qui fonctionne frontend+backend

- Connexion et enregistrement 
    - MDP pour tous les utilisateur (test) sauf pour admin (w;efh039)
- Page du lobby principal
    - Recherche des parties publiques non encore remplies
- Page de profil qui affiche les infos

### Ce qui fonctionne frontend uniquement

- Partybeta (affichage de la main, discard, draw, check kong et pung)

### Ce qui fonctionne backend

- Ouverture de partie publique ou privée
- Modification de profil (par l'utilisateur authentifié ou par un admin)
- Système de bannissement IP
- Système de bannissement Account
- Système de permissions
- Système d’édition de profil par admin
    - promouvoir un user admin mais aussi le retirer)