# Installation

## Cloner le repo

```bash
git clone http://gvipers.imt-lille-douai.fr/QVrel/projet-cdaw.git
cd projet-cdaw
git submodule init
git submodule update
```

## MySQL

Il faut d'abord fournir les éléments pour se connecter à MySQL, pour cela aller dans le fichier `BackEnd/src/config/config.php`.

```php
define('DB_HOST', '127.0.0.1');  // Mettre l'IP du serveur MySQL
define('DB_PORT', 3306);         // Mettre le port du serveur MySQL
define('DB_DATABASE', 'dbtest'); // Mettre le nom de la BDD MySQL
define('DB_USERNAME', 'root');   // Mettre le username de connexion
define('DB_PASSWORD', 'root');   // Mettre le mot de passe associé au user
```

Pour info, version MySQL de notre serveur : 5.7.30

Il faut ensuite peupler la base de donnée en important dans l'ordre `AGL/BD/dump.sql` et `AGL/BD/sample.sql`.

## PHP

Rien de spécial mais pour info, version de notre PHP : 7.4.9

## Vue.js

Quand on essaie de servir le frontend depuis dist, on a un problème avec les chemins d'accès. C'est pourquoi on a choisi de passer par le serveur npm. Le site sera accessible sur http://localhost:8080.

Si nodejs et npm ne sont pas installés (vérifier avec `npm version`):

```shell
sudo apt install nodejs npm
```

Si Vue.js n'est pas installé globallement:

```shell
sudo npm install -g @vue/cli
```

Récupérer les dépendances:

```shell
cd projet-cdaw/frontend
npm update
```

## XAMP

On sert le dossier `BackEnd/src` sur le port 80. Si vous voulez changer de port, il faut modifier également ce dernier dans `frontend/src/main.js`.

```js
const apiRoot = "http://localhost:<PORT>/index.php";
```
